Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156314 - CAN-2005-1229 cpio directory traversal issue
Summary: CAN-2005-1229 cpio directory traversal issue
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpio
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard: impact=low,public=20050420,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 20:46 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 12:27:45 UTC


Attachments (Terms of Use)
fix candidate for devel, it needs more tests (deleted)
2005-05-10 13:10 UTC, Peter Vrabec
no flags Details | Diff
new patch from ALT Linux, i use it for devel (deleted)
2005-05-17 12:27 UTC, Peter Vrabec
no flags Details | Diff

Description Josh Bressers 2005-04-28 20:46:22 UTC
+++ This bug was initially created as a clone of Bug #156313 +++

Directory traversal vulnerability in cpio 2.6 and earlier allows remote
attackers to write to arbitrary directories via a .. (dot dot) in a cpio file.

Comment 1 Peter Vrabec 2005-05-10 13:10:35 UTC
Created attachment 114202 [details]
fix candidate for devel, it needs more tests

when --no-absolute-filenames used, it skip members with '..' in name(include
links).

Comment 2 Peter Vrabec 2005-05-10 13:20:16 UTC
Should be there a new option to disallow '..' by default,
or disallow '..' when --no-absolute-filenames used?

I would like to know which variant is the best one.



Comment 3 Josh Bressers 2005-05-10 13:42:44 UTC
I think it would be better to disallow absolute filenames by default and have an
option to enable them.  This is what tar does.  It will strip out /../ unless
you tell it not to.

Comment 4 Peter Vrabec 2005-05-17 12:27:05 UTC
Created attachment 114460 [details]
new patch from ALT Linux, i use it for devel

Comment 5 Michal Jaegermann 2005-07-12 20:37:59 UTC
A minor issue.  cpio.texi does not reflect changes in options semantics;
only cpio.info is patched.


Note You need to log in before you can comment on or make changes to this bug.